RECOLLQ(1)

NAME
recollq - command line / standard output Recoll query command.

SYNOPSIS
recollq [ -c <configdir> ] [ -o | -f | -a ] [ -b ] [ -d ] [ -A ] [ -m ] [ -n <cnt> ] [ -s <stemming language> ] [ -S <fldname> ] [ -D ] [ -i <additional index directory> ] <query string> recollq -P

DESCRIPTION
The recollq command will execute the Recoll query specified on the command line and print the results to the standard output.

The -c option specifies the configuration directory name, overriding the default or $RECOLL_CONFDIR.

The query string will be interpreted by default as a query language string. If -a is specified, the query string will be interpreted as an all words simple search query. If -o is specified, the query string will be interpreted as an any word simple search query. If -f is specified, the query string will be interpreted as a file name simple search query.

-b (basic) can be specified to only print the result urls in the output stream.

If -d is set, the text for the result files contents will be dumped to stdout.

If -m is set, the whole metadata array will be dumped for each document.

If -A is set, the document abstracts will be printed.

-S <fieldname> sorts the results according to the specified field. Use -D for descending order.

-n <cnt> can be used to set the maximum number of results that should be printed.

-s <language> selects the word stemming language. The value should match an existing stemming database (as set in the configuration or added with recollindex -s).

-i <extra dbdir> adds the specified Xapian index to the set used for the query. Can be specified multiple times.

recollq -P (Period) will print the minimum and maximum modification years for documents in the index.

SEE ALSO

recollindex(1) recollq(1) recoll.conf(5)